Bug 1413961 - When creating a VM with lease the destination storage domain should be validated
Summary: When creating a VM with lease the destination storage domain should be validated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Tal Nisan
QA Contact: Lilach Zitnitski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 12:52 UTC by Tal Nisan
Modified: 2017-02-01 14:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:59:52 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 70650 0 master MERGED core: Check storage domain before executing commands with VM leases 2017-01-17 21:02:22 UTC
oVirt gerrit 70701 0 ovirt-engine-4.1 MERGED core: Check storage domain before executing commands with VM leases 2017-01-17 21:02:42 UTC

Description Tal Nisan 2017-01-17 12:52:16 UTC
Description of problem:
When creating a VM lease through the REST API the storage domain should be validated to be:
1. Existing
2. In an UP status
3. To be a part of the storage pool the VM belongs to

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Lilach Zitnitski 2017-01-25 12:02:40 UTC
--------------------------------------
Tested with the following code:
----------------------------------------
ovirt-engine-4.1.0.3-0.0.master.20170123115434.git8a69605.el7.centos.noarch

Tested with the following scenario:

Steps to Reproduce:
1. try to create vm lease while storage domain in maintenance mode
2. try to create vm lease while storage domain id does not exist
3. try to create vm lease while storage domain is attached to another dc

Actual results:
Error is shown that the storage domain is in maintenance mode / does not exist (according to the test)

Expected results:

Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.